/*****************************************************************************/
              /* Input History management */
/*****************************************************************************/
#ifndef HISTORY_H_INCLUDED
#define HISTORY_H_INCLUDED
#include "tca/libc.h"

/* Input history management */
typedef struct {
  char **buffer;
  int  current;
  int  pos;
} inputHistoryType, *inputHistoryPtr;

void historyFreeProcess(inputHistoryPtr h);
void historyAddCommand(inputHistoryPtr h, char *command);
char *historyPrev(inputHistoryPtr h);
char *historyNext(inputHistoryPtr h);

#endif
