/*****************************************************************************
 * PROJECT: Xavier
 *
 * (c) Copyright 1993 Richard Goodwin & Joseph O'Sullivan. All rights reserved.
 *
 * FILE: nanny.h
 *
 * ABSTRACT:
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tools/nanny/nannyCommon.h,v $
 * $Revision: 1.2 $
 * $Date: 1996/01/22 21:27:50 $
 * $Author: reids $
 *
 * REVISION HISTORY:
 *
 * $Log: nannyCommon.h,v $
 * Revision 1.2  1996/01/22  21:27:50  reids
 * Consolidated all the DEBUG and WARNING macro definitions into nannyCommon.h
 *
 * Revision 1.1  1995/12/17  20:25:45  rich
 * Moved Nanny to the tca release.
 *
 *
 *****************************************************************************/

#ifndef COMMON_H_INCLUDED
#define COMMON_H_INCLUDED

#define DEFAULT_LINE_LENGTH 80

#ifdef DEBUG
#define DEBUG1(x) fprintf(stderr,x)
#define DEBUG2(x,y) fprintf(stderr,x,y)
#define DEBUG3(x,y,z) fprintf(stderr,x,y,z)
#define DEBUG5(x,y,z,a,b) fprintf(stderr,x,y,z,a,b)
#else
#define DEBUG1(x) 
#define DEBUG2(x,y) 
#define DEBUG3(x,y,z) 
#define DEBUG5(x,y,z,a,b) 
#endif
#define RDEBUG2(x,y) DEBUG2(x,y)

#define WARNING1(x) fprintf(stderr,x)
#define WARNING2(x,y) fprintf(stderr,x,y)
#define WARNING3(x,y,z) fprintf(stderr,x,y,z)

#endif
