/*****************************************************************************
 * PROJECT: TCA
 *
 * (c) Copyright 1996 Reid Simmons. All rights reserved.
 *
 * FILE: scriptParse.h
 *
 * ABSTRACT: Type definitions for running script files
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tools/nanny/scriptParse.h,v $
 * $Revision: 1.1 $
 * $Date: 1996/01/22 21:31:42 $
 * $Author: reids $
 *
 * REVISION HISTORY:
 *
 * $Log: scriptParse.h,v $
 * Revision 1.1  1996/01/22  21:31:42  reids
 * Fixed the way stdout is handled, using pseudo-terminals, so that it preserves
 *   the line-buffering mode of the real TTY.
 * Added support for running scripts (not really integrated, yet, but initial
 *   tests are working).
 *
 *
 ****************************************************************/

#ifndef INC_SCRIPT_PARSE_H
#define INC_SCRIPT_PARSE_H

#define INDENT_INCREMENT (1)

extern SCRIPT_LIST_PTR scriptParse (FILE *scriptFile);

extern void scriptPrint (SCRIPT_LIST_PTR script);

#endif /* INC_SCRIPT_PARSE_H */
