/*****************************************************************************
 * PROJECT: Xavier
 *
 * (c) Copyright 1993 Richard Goodwin & Joseph O'Sullivan. All rights reserved.
 *
 * FILE: runControl.c
 *
 * ABSTRACT:
 *
 * stole from xconsole the ability to create widgets for the management of the
 * text - this stops us having to deal with several screens...
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tools/nanny/xRunConsole.h,v $
 * $Revision: 1.1 $
 * $Date: 1995/12/17 20:26:04 $
 * $Author: rich $
 *
 * REVISION HISTORY:
 *
 * $Log: xRunConsole.h,v $
 * Revision 1.1  1995/12/17  20:26:04  rich
 * Moved Nanny to the tca release.
 *
 * Revision 1.10  1995/09/28  19:32:12  josullvn
 * Lots o changes
 *
 * Revision 1.9  1995/09/26  20:35:38  rich
 * Fixed order of system specific libraries.
 * Removed extra "extern"s.
 *
 * Revision 1.8  1995/07/13  11:09:59  josullvn
 * Two bugs were present. a) syscalls were being interrupted, and b) the
 * processes button management got screwy after a while. The first is due
 * to Devutils, second fixed by removing a reliance on xclient data. Also
 * added features to newProcess whereby it is now menu driven.
 * Added tca.rc, removing those processes from the Simulator resource files.
 *
 * Revision 1.7  1995/05/15  17:16:53  rich
 * Added nanny.h and moved external declarations to the .h files.
 *
 * Revision 1.6  1995/05/15  17:07:40  rich
 * Updated interface to createLineBuffer so you can get partial lines and
 * the delimit character is not replaced.
 * Imporved layout of the X11 window of the console.
 *
 *
 *****************************************************************************/
#ifndef XRUNCONSOLE_H
#define XRUNCONOLE_H
#include "tca/libc.h"

#include "xtUtil.h"
#include "xCallbacks.h"

/*
 *
 */

extern Widget top;
extern Widget status_bar, status_label;
extern Widget        textwindow, messwidget, labelwindow, processnamewindow;
extern Widget        processRow;
extern Display *CurDpy;
void xRunConsole(int ac, char **av);
Widget makeB2Row(BOOLEAN newMenu, Widget *bNew, Widget *bDestroy);

#endif

/*Use & for 'and' and | for 'or' conjunctions",*/
