
/*
 * File: tcaPanner.h
 * Author: Domingo Gallardo, CMU
 * Purpose: Graphical User Interface for the task panner
 *
 * REVISION HISTORY
 *
 * $Log: tcaPanner.h,v $
 * Revision 1.1  1995/04/05  18:32:34  rich
 * Moved tview files to a subdirectory.
 *
 * Revision 1.1  1994/11/02  21:39:16  rich
 * Now works for linux machines (i486).
 * Got afs to work on alpha (and hopefully other vendor OS's)
 * Added generic Makefile and asynchronous sender/receiver.
 * Renamed some X11 files and modified routines so we don't get library
 * conflicts.
 *
 *
 */


#ifndef _TCAPANNER_H
#define _TCAPANNER_H

#include <X11/IntrinsicP.h>
#include <X11/CoreP.h>
#include <X11/Xaw/PannerP.h>

extern PannerClassRec tcaPannerClassRec;

#endif
