#############################################################################
#       $Id: windowNT.mak,v 1.1 1996/01/05 16:33:03 rich Exp $
# $Revision: 1.1 $
#     $Date: 1996/01/05 16:33:03 $
#   $Author: rich $
#    $State: Exp $
#   $Locker:  $
#
# PROJECT:	TCA
#
# FILE:		Makefile
#
# DESCRIPTION:
# Makes the tca libraries and central server for windows NT using borland C.
#
# Requires a WINSOCK implementation.
#
# EXPORTS:
#
# HISTORY:
#
# $Log: windowNT.mak,v $
# Revision 1.1  1996/01/05  16:33:03  rich
# Added windows NT port.
#
#
#############################################################################
.AUTODEPEND

.PATH.obj = ..\obj

#		*Translator Definitions*
CC = Bcc32
TASM = TASM
TLIB = TLib
TLINK = TLink32
IMPLIB  = Implib
BRC32   = Brc32
LIBPATH = -L..\LIB; -LC:\BC45\LIB; -LD:\BC45\LIB; -LC:\BORLANDC\LIB; -LD:\BORLANDC\LIB;
INCLUDEPATH = -I..\INCLUDE; -I..\SRC; -IC:\BORLANDC\INCLUDE; -IC:\BC45\INCLUDE; -ID:\BORLANDC\INCLUDE; -ID:\BC45\INCLUDE;


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 ..\lib\tca_lib.lib \

all: ..\bin\a1.exe ..\bin\b1.exe

#		*Explicit Rules*

..\bin\a1.exe: windowNT.cfg $(EXE_dependencies) ..\obj\a1.obj
  $(TLINK) /v/i/d/P=32192/L$(LIBPATH) @&&|
c0x32.obj+
..\obj\a1.obj
..\bin\a1,..\bin\a1
..\lib\tca_lib.lib+
bidsf.lib+
import32.lib+
cw32mt.lib
|

..\bin\b1.exe: windowNT.cfg $(EXE_dependencies) ..\obj\b1.obj
  $(TLINK) /v/i/d/P=32192/L$(LIBPATH) @&&|
c0x32.obj+
..\obj\b1.obj
..\bin\b1,..\bin\b1
..\lib\tca_lib.lib+
bidsf.lib+
import32.lib+
cw32mt.lib
|


#		*Individual File Dependencies*

..\obj\a1.obj: windowNT.cfg a1.c 
	$(CC) +windowNT.cfg -c a1.c


..\obj\b1.obj: windowNT.cfg b1.c 
	$(CC) +windowNT.cfg -c b1.c

#		*Compiler Configuration File*

windowNT.cfg: windowNT.mak
	mkdir ..\obj
	mkdir ..\lib
	mkdir ..\bin
	copy &&|
-R
-v
-vi
-H
-H=central.csm
-w-sus
-w-par
-w-rch
-WM
-WC
-w-aus
-n..\obj
$(INCLUDEPATH)
$(LIBPATH)
-DNEED_READV=1; -DNO_UNIX_SOCKETS=1
-D_WINSOCK_; -DDOS_FILE_NAMES
-w32
-Tpe -ap
-x
| windowNT.cfg
