/*****************************************************************************
 * PROJECT: TCA Tutorial
 *
 * (c) Copyright 1994 Richard Goodwin & Reid Simmons. All rights reserved.
 *
 * FILE: sim.h
 *
 * ABSTRACT:
 *
 * Main header file for the simulator.
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tutorial/simulator/sim.h,v $ 
 * $Revision: 1.4 $
 * $Date: 1995/12/18 02:11:39 $
 * $Author: rich $
 *
 * REVISION HISTORY:
 *
 * $Log: sim.h,v $
 * Revision 1.4  1995/12/18  02:11:39  rich
 * Accidently removed include.
 *
 * Revision 1.3  1995/12/17  20:27:20  rich
 * Flush stdout to work better with nanny.
 *
 * Revision 1.2  1995/04/07  05:10:05  rich
 * Fixed GNUmakefiles to find the release directory.
 * Moved all system includes into libc.h
 * Moved global variables into the c files and got rid of #define DECLARE_...
 *
 * Revision 1.1  1994/05/24  21:24:06  rich
 * Checking in Reid's tutorial code, with some fixes to the simulator.
 * Mostly problems with X11.
 *
 *
 *****************************************************************************/

#ifndef INCLUDED_SIM
#define INCLUDED_SIM

#include "common.h"
#include "tca/ezx.h"



extern void handleSimEvents(void);

#endif
